Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTableBorderInfo Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithTable_border_info:
| Constructor, with another table border information object. More...
(id) | - initWithTable_border_style:line_width:color:dash_phase:dashes:
| Constructor, with parameters. More...
(void) | - set:line_width:color:dash_phase:dashes:
| Set value. More...

## Properties
unsigned int | color
| The table border color. Format: 0xAARRGGBB.
float | dash_phase
| Dash phase.It should not be negative. Only useful when parameter style</ i> is FSTableBorderInfoTableBorderStyleDashed. Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
FSFloatArray * | dashes
| A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSTableBorderInfoTableBorderStyleDashed. Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
float | line_width
| Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
FSTableBorderInfoTableBorderStyle | table_border_style
| Table border style. Please refer to values starting from FSTableBorderInfoTableBorderStyleSolid and this should be one of these values.

## Detailed Description

This class represents table border information.

## Method Documentation

## ◆ initWithTable_border_info:()

- (id) initWithTable_border_info: |  | (FSTableBorderInfo*) | table_border_info |

Constructor, with another table border information object.

Parameters

  [in] | table_border_info | Another table border information object.

## ◆ initWithTable_border_style:line_width:color:dash_phase:dashes:()

- (id) initWithTable_border_style: |  | (FSTableBorderInfoTableBorderStyle) | table_border_style
line_width: |  | (float) | line_width
color: |  | (unsigned int) | color
dash_phase: |  | (float) | dash_phase
dashes: |  | (FSFloatArray*) | dashes

Constructor, with parameters.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from FSTableBorderInfoTableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSTableBorderInfoTableBorderStyleDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSTableBorderInfoTableBorderStyleDashed.

## ◆ set:line_width:color:dash_phase:dashes:()

- (void) set: |  | (FSTableBorderInfoTableBorderStyle) | table_border_style
line_width: |  | (float) | line_width
color: |  | (unsigned int) | color
dash_phase: |  | (float) | dash_phase
dashes: |  | (FSFloatArray*) | dashes

Set value.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from FSTableBorderInfoTableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSTableBorderInfoTableBorderStyleDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSTableBorderInfoTableBorderStyleDashed.

Returns
  None.